ant-ivy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Xavier Hanin" <xavier.ha...@gmail.com>
Subject Re: jdk version required (was Re: Extending IvyBuildList)
Date Tue, 29 May 2007 13:27:00 GMT
On 5/29/07, Gilles Scokart <gscokart@gmail.com> wrote:
>
>
> I think there are still project working on 1.4 (I know at least one
> real-life project that is still hesitating).  But most of them could
> probably be able to build using a 1.5 jre.
>
> However, I think that it is better to have a code fully in 1.4 than a code
> partially in 1.4 and partially in 1.5.  And migrating is a heavy task.


+1, migrating is a huge task

Also, even the migration should not be issue for most ivy users, there is
> may still a minority for which it might be.
>
> So, I'm not sure if it is something that has to be done.  But if it is, it
> is certainly not a priority.  We should first enhance the coding style
> (use
> of _ for instance).


Indeed.

Xavier

Gilles
>
>
> > -----Original Message-----
> > From: Xavier Hanin [mailto:xavier.hanin@gmail.com]
> > Sent: mardi 29 mai 2007 14:45
> > To: ivy-user@incubator.apache.org
> > Subject: jdk version required (was Re: Extending IvyBuildList)
> >
> > On 5/29/07, John Gill <llignhoj@gmail.com> wrote:
> > >
> > > No Generics!!! It makes the code so much cleaner... I wonder how many
> > > developers are still stuck on 1.4 (Ivy/Ant/Maven users in particular)?
> > > 1.4is two version behind the latest now...
> >
> >
> > Indeed, this is something that can be discussed. It's been a long time
> > since
> > I don't use 1.4 myself, but it's difficult to estimate for the whole
> user
> > community.
> >
> > Any thoughts?
> >
> > Xavier
> >
> > On 5/29/07, Xavier Hanin <xavier.hanin@gmail.com> wrote:
> > > >
> > > > Hi,
> > > >
> > > > Simple and interesting change, indeed, I think it doesn't hurt to
> open
> > > an
> > > > issue :). For the patch, the only thing is that we are jdk
> > 1.4compliant,
> > > > so
> > > > the use of generics is prohibited.
> > > >
> > > > Xavier
> > > >
> > > > On 5/29/07, Jean-Baptiste Quenot <jbq@apache.org> wrote:
> > > > >
> > > > > Hi Ivy,
> > > > >
> > > > > Thanks for  providing this  great API,  and more  particularly the
> > > > > IvyBuildList  Ant  task  that  I  extend  to  generate  my  Hudson
> > > > > configuration  files  automatically  for continuous  build  of  my
> > > > > project.
> > > > >
> > > > > I only  had to slightly modify  it to be  able to get the  list of
> > > > > sorted modules,  and the  list of build  files.  See  the attached
> > > > > patch.
> > > > >
> > > > > NOTE: this patch is based on  Ivy 1.4.1, but it should be possible
> > > > > to do the same thing on trunk (the patch does not apply on trunk).
> > > > >
> > > > > If this change makes sense to you, I can file a JIRA issue.
> > > > >
> > > > > WDYT?
> > > > > --
> > > > >      Jean-Baptiste Quenot
> > > > > aka  John Banana   Qwerty
> > > > > http://caraldi.com/jbq/
> > > > >
> > > > >
> > > >
> > > >
> > > > --
> > > > Xavier Hanin - Independent Java Consultant
> > > > Manage your dependencies with Ivy!
> > > > http://incubator.apache.org/ivy/
> > > >
> > >
> > >
> > >
> > > --
> > > Regards,
> > > John Gill
> > >
> >
> >
> >
> > --
> > Xavier Hanin - Independent Java Consultant
> > Manage your dependencies with Ivy!
> > http://incubator.apache.org/ivy/
>
>


-- 
Xavier Hanin - Independent Java Consultant
Manage your dependencies with Ivy!
http://incubator.apache.org/ivy/

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message